Bug 132630 - service tomcat start keeps shell from exiting
service tomcat start keeps shell from exiting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 06:30 EDT by Jack Tanner
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2004-09-15 06:30:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Something seems to be capturing stdin or stdout when tomcat is
started, instead of running as a non-interactive service.

Version-Release number of selected component (if applicable):
tomcat-4.1.27-13

How reproducible:
Always

Steps to Reproduce:
$ service tomcat start
Starting tomcat:           [  OK  ]
$ exit
[shell does not exit]

log into the same machine from another terminal
$ service tomcat stop
Stopping tomcat:           [  OK  ]
[the first shell exits immediately]

Additional info:
Comment 1 Gary Benson 2004-09-15 07:04:58 EDT
Bizarre!
Comment 2 Jack Tanner 2004-11-09 20:59:00 EST
Is there anything I can do to help track this down? It's 100%
reproducible for me.
Comment 3 Matthew Miller 2005-04-26 11:30:57 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-28 12:48:06 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.